<?php
session_start();
include 'login/serv.php';

if(isset($_SESSION['user'])) {?>
</head>

<body>
<link rel="stylesheet" type="text/css" href="style.css">
	<head>
		<div id="cargando"></div>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Editando registros de una tabla con Jeditable plugin jQuery.</title>
		<link rel="stylesheet" type="text/css" href="style.css"/>
		
		<script type="text/javascript" src="jquery.js"></script>
		<script type="text/javascript" src="jquery.jeditable.js"></script>
		<script type="text/javascript" src="js.js"></script>
		
	</head>
	<fieldset id="content"><legend>Borrar alumnos</legend>

<?php
$mysql_usuario = "cf";
$mysql_password = "ale1979";
$mysql_host = "localhost";
$mysql_database = "castel";

//Datos de conexión
$conexion = mysql_connect($mysql_host, $mysql_usuario, $mysql_password, true);

//Seleccionar la base datos y la conexión y capturar posibles errores con die
mysql_select_db($mysql_database, $conexion) || die('No pudo conectarse: '.mysql_error());
mysql_query("SET NAMES 'utf8'");
//Preparar la consulta para extraer todos los clientes
$consulta = "SELECT * FROM alumnos order by grado asc";

//Ejecutar la consulta
$resultado = mysql_query($consulta, $conexion) or die(mysql_error());

//Extraer todas la filas y almacenarlas en una tabla
$table = "<table border='1' cellpadding='1' Align=Center width=100%>\n";
$table .= "<tr><th>ID</th><th>Grado</th><th>Nombre</th><th>D.N.I</th><th>Acción</th></tr>\n";
while($fila = mysql_fetch_assoc($resultado)){
$table .= "<tr>
      <td>".$fila["id_usuario"]."</td>
      <td>".$fila["grado"]."</td>
      <td>".$fila["nombre"]."</td>
<td>" .number_format($fila['dni'], 0 , '' , '.' )." </td>
      <td><form method='post' action=''> \n
      <input type='hidden' Align=Center  name='id' value='".$fila["id_usuario"]."'>
      <input type='submit' value='Eliminar'>
      </form></td>
   </tr>\n";
    }
$table .= "</table>\n";


/* PARTE 2: SI SE ENVÍA EL FORMULARIO CAPTURAR LOS DATOS PARA ELIMINAR EL CLIENTE */

if (isset($_POST["id"]))
{
//Se almacena en una variable el id del registro a eliminar
$id = $_POST["id"];

//Preparar la consulta
$consulta = "DELETE FROM alumnos WHERE id_usuario=$id";

//Ejecutar la consulta
$resultado = mysql_query($consulta, $conexion) or die(mysql_error());

//redirigir nuevamente a la página para ver el resultado
 echo "<meta http-equiv=\"refresh\" content=\";URL=eliminar.php\">";
}

?>
<?php

/* Mostrar la tabla con los registros */
echo $table;

?>

</body>
</html>
  </fieldset>
<?php
/* Cerrar la conexión */
mysql_close($conexion);
?>
<?php
}else{
	echo '<script> window.location="cuerpo.php"; </script>';
}
?>
